/* nvramset: set byte $1 of nvram to $2 */
/* Eliezer Tamir 29/1/2002              */
#include <stdio.h>
#include <sys/io.h>
#include <stdlib.h>

#include "nvram.c"

int main(int argc, char**argv)
{
int rc,addr,val;
FILE *fp;
	
	rc = iopl(3);   

    if (rc)
    {
        fprintf(stderr,"Cannot get IO set iopl to 3\n");
        exit(1);
    }

	if (argc != 3) {
		printf("Usage: nvramset addres value\n");
		exit (1);
		};
	addr = atoi ( argv[1]);
	val = atoi( argv[2]);
/*	fp=fopen ("/dev/nvram","r+");
	if (fp) {
		fprintf(stderr,"Cannot open /dev/nvram\n");
        exit(1);
    }
	fseek(fp, addr, SEEK_SET);
	fputc(val,fp);
	fclose(fp);
*/
	/* nvramset */
    nvram_write(val,addr);
    nvram_set_checksum();
	printf("wrote %d to address %d in NVRAM\n",val,addr);
	exit (0);
}
